- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::Field Class Reference

List of all members.

## Public Types
enum | { MIN_CACHE_SIZE = 256 }
enum | FieldType { OPEN_BRACKET, CLOSE_BRACKET, STRING, WORD, REAL, INTEGER, BLANK, UNINITIALISED }
## Public Member Functions
| Field ()
| Field (const Field &field)
virtual | ~Field ()
virtual Field & | operator= (const Field &ic)
void | reset ()
void | addChar (char c)
int | getNoCharacters () const
void | setWithinQuotes (bool withinQuotes=true)
bool | getWithinQuotes ()
void | setNoNestedBrackets (int no)
int | getNoNestedBrackets ()
FieldType | getFieldType () const
bool | isValid () const
bool | isOpenBracket () const
bool | isCloseBracket () const
bool | isWord () const
bool | matchWord (const char *str) const
bool | matchWord (const char *str, int noCharacters) const
bool | isString () const
bool | matchString (const char *str) const
bool | matchString (const char *str, int noCharacters) const
bool | isQuotedString () const
const char * | getStr () const
char * | takeStr ()
bool | isInt () const
bool | matchInt (int i) const
bool | getInt (int &i) const
bool | isUInt () const
bool | matchUInt (unsigned int i) const
bool | getUInt (unsigned int &i) const
bool | isFloat () const
bool | matchFloat (float f) const
bool | getFloat (float &f) const
bool | getFloat (double &f) const
## Static Public Member Functions
static FieldType | calculateFieldType (const char *str, bool withinQuotes=false)
## Protected Member Functions
void | _init ()
void | _free ()
void | _copy (const Field &ic)
## Protected Attributes
int | _fieldCacheCapacity
int | _fieldCacheSize
char * | _fieldCache
FieldType | _fieldType
bool | _withinQuotes
int | _noNestedBrackets

## Member Enumeration Documentation

anonymous enum

  | Enumerator:
  MIN_CACHE_SIZE |

enum osgDB::Field::FieldType

  | Enumerator:
  OPEN_BRACKET |
  CLOSE_BRACKET |
  STRING |
  WORD |
  REAL |
  INTEGER |
  BLANK |
  UNINITIALISED |

## Constructor & Destructor Documentation

Field::Field | ( |  | ) |

Field::Field | ( | const Field & | field | ) |

Field::~Field | ( |  | ) | `[virtual]`

## Member Function Documentation

void Field::_copy | ( | const Field & | ic | ) | `[protected]`

void Field::_free | ( |  | ) | `[protected]`

void Field::_init | ( |  | ) | `[protected]`

void Field::addChar | ( | char | c | ) |

Field::FieldType Field::calculateFieldType | ( | const char * | str,
|  | bool | withinQuotes = `false`
| ) | `[static]`

Field::FieldType Field::getFieldType | ( |  | ) | const

bool Field::getFloat | ( | double & | f | ) | const

bool Field::getFloat | ( | float & | f | ) | const

bool Field::getInt | ( | int & | i | ) | const

int osgDB::Field::getNoCharacters | ( |  | ) | const`[inline]`

int Field::getNoNestedBrackets | ( |  | ) |

const char * Field::getStr | ( |  | ) | const

bool Field::getUInt | ( | unsigned int & | i | ) | const

bool Field::getWithinQuotes | ( |  | ) |

bool Field::isCloseBracket | ( |  | ) | const

bool Field::isFloat | ( |  | ) | const

bool Field::isInt | ( |  | ) | const

bool Field::isOpenBracket | ( |  | ) | const

bool Field::isQuotedString | ( |  | ) | const

bool Field::isString | ( |  | ) | const

bool Field::isUInt | ( |  | ) | const

bool Field::isValid | ( |  | ) | const

bool Field::isWord | ( |  | ) | const

bool Field::matchFloat | ( | float | f | ) | const

bool Field::matchInt | ( | int | i | ) | const

bool Field::matchString | ( | const char * | str,
|  | int | noCharacters
| ) | const

bool Field::matchString | ( | const char * | str | ) | const

bool Field::matchUInt | ( | unsigned int | i | ) | const

bool Field::matchWord | ( | const char * | str,
|  | int | noCharacters
| ) | const

bool Field::matchWord | ( | const char * | str | ) | const

Field & Field::operator= | ( | const Field & | ic | ) | `[virtual]`

void Field::reset | ( |  | ) |

void Field::setNoNestedBrackets | ( | int | no | ) |

void Field::setWithinQuotes | ( | bool | withinQuotes = `true` | ) |

char * Field::takeStr | ( |  | ) |

## Member Data Documentation

char* osgDB::Field::_fieldCache`[protected]`

int osgDB::Field::_fieldCacheCapacity`[protected]`

int osgDB::Field::_fieldCacheSize`[protected]`

FieldType osgDB::Field::_fieldType`[mutable, protected]`

int osgDB::Field::_noNestedBrackets`[protected]`

bool osgDB::Field::_withinQuotes`[protected]`

The documentation for this class was generated from the following files:

- Field
- Field.cpp